Bug 14786 - Use text "MARC file" instead of "ISO2709" everywhere
Summary: Use text "MARC file" instead of "ISO2709" everywhere
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2015-09-04 13:57 UTC by Pablo AB
Modified: 2018-11-28 15:34 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14786: Use MARC istead of ISO2709 everywhere (13.19 KB, patch)
2018-08-12 15:26 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14786: Use MARC istead of ISO2709 everywhere (12.57 KB, patch)
2018-09-27 21:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14786: Use MARC istead of ISO2709 everywhere (12.57 KB, patch)
2018-09-30 12:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14786: Use MARC istead of ISO2709 everywhere (12.58 KB, patch)
2018-09-30 12:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14786: Use MARC istead of ISO2709 everywhere (12.65 KB, patch)
2018-10-05 12:16 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 14786: Use MARC istead of ISO2709 everywhere (12.69 KB, patch)
2018-10-08 15:45 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo AB 2015-09-04 13:57:22 UTC
An ISO2709 is *almost* the same as a "MARC file". A mrc is an iso2709 that also have some other properties, like always subfields on tags>010. To avoid confusions on lists template should say "MARC file" and filename should be: «list-<valid_name_of_list_name_for_filename>.mrc», instead of shelf.iso2709.

Notice that everywhere in Koha we use MARC instead of ISO2709. For eg, on Home›Tools›MARC export or in «Home›Tools›Stage MARC records for import».

Related bugs: 2172, 11997.
Comment 1 Katrin Fischer 2018-08-12 15:26:20 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2018-09-27 21:34:16 UTC
Created attachment 79552 [details] [review]
Bug 14786: Use MARC istead of ISO2709 everywhere

This patch changes the term ISO2709 in the templates to use
MARC instead.

Test plan:
- The term was changed on the following pages in staff:
  - Advanced catalouging editor > Save to catalog
  - Patron account > Check out (Activate ExportCircHistory) > Format
  - Patron account > Check out > Help page
  - Lists > Download list
  - Acquisitions > Add order to basket > From a staged file (breadcrumbs)
  - Administration > System preferences > ExportRemoveFields
  - Cart > Download
  - Tools > Export data > Output format
Comment 3 Katrin Fischer 2018-09-27 21:35:21 UTC
Rebased!
Comment 4 Owen Leonard 2018-09-28 13:27:42 UTC
This looks good but there are a couple of QA script warnings that need to be addressed.
Comment 5 Katrin Fischer 2018-09-30 12:02:39 UTC
Created attachment 79656 [details] [review]
Bug 14786: Use MARC istead of ISO2709 everywhere

This patch changes the term ISO2709 in the templates to use
MARC instead.

Test plan:
- The term was changed on the following pages in staff:
  - Advanced catalouging editor > Save to catalog
  - Patron account > Check out (Activate ExportCircHistory) > Format
  - Patron account > Check out > Help page
  - Lists > Download list
  - Acquisitions > Add order to basket > From a staged file (breadcrumbs)
  - Administration > System preferences > ExportRemoveFields
  - Cart > Download
  - Tools > Export data > Output format
Comment 6 Katrin Fischer 2018-09-30 12:03:20 UTC
A little embarassing that I forgot to run the tests, was only 2 pre-existing tabs to fix.
Comment 7 Katrin Fischer 2018-09-30 12:04:56 UTC
Created attachment 79657 [details] [review]
Bug 14786: Use MARC istead of ISO2709 everywhere

This patch changes the term ISO2709 in the templates to use
MARC instead.

Test plan:
- The term was changed on the following pages in staff:
  - Advanced catalouging editor > Save to catalog
  - Patron account > Check out (Activate ExportCircHistory) > Format
  - Patron account > Check out > Help page
  - Lists > Download list
  - Acquisitions > Add order to basket > From a staged file (breadcrumbs)
  - Administration > System preferences > ExportRemoveFields
  - Cart > Download
  - Tools > Export data > Output format
Comment 8 Michal Denar 2018-10-05 12:16:51 UTC
Created attachment 80054 [details] [review]
Bug 14786: Use MARC istead of ISO2709 everywhere

This patch changes the term ISO2709 in the templates to use
MARC instead.

Test plan:
- The term was changed on the following pages in staff:
  - Advanced catalouging editor > Save to catalog
  - Patron account > Check out (Activate ExportCircHistory) > Format
  - Patron account > Check out > Help page
  - Lists > Download list
  - Acquisitions > Add order to basket > From a staged file (breadcrumbs)
  - Administration > System preferences > ExportRemoveFields
  - Cart > Download
  - Tools > Export data > Output format

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 9 Martin Renvoize 2018-10-08 15:45:33 UTC
Created attachment 80226 [details] [review]
Bug 14786: Use MARC istead of ISO2709 everywhere

This patch changes the term ISO2709 in the templates to use
MARC instead.

Test plan:
- The term was changed on the following pages in staff:
  - Advanced catalouging editor > Save to catalog
  - Patron account > Check out (Activate ExportCircHistory) > Format
  - Patron account > Check out > Help page
  - Lists > Download list
  - Acquisitions > Add order to basket > From a staged file (breadcrumbs)
  - Administration > System preferences > ExportRemoveFields
  - Cart > Download
  - Tools > Export data > Output format

Signed-off-by: Michal Denar <black23@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2018-10-08 15:46:14 UTC
Works as expected, no regressions found. Passing QA
Comment 11 Nick Clemens 2018-10-17 19:20:58 UTC
Awesome work all!

Pushed to master for 18.11
Comment 12 Martin Renvoize 2018-10-26 12:50:03 UTC
Pushed to 18.05.x for 18.05.06
Comment 13 Fridolin SOMERS 2018-11-09 15:08:58 UTC
I prefer not change oldstable 17.11.x